Class
UnionFind
Union-Find data structure.
UnionFind<T>
Include Headers
seqan/misc/misc_union_find.h
Parameters

T | The type the data structure operates on.

Remarks
The data structure uses union by rank and path compression to achieve almost linear running time.
Note that internally, T is used signed so not the whole range might be available.
Metafunctions

GetValue | Type for reading values.
Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container or behind an iterator.

Functions

clear | Resets an object.
findSet | Return set identifier, given an element identifier.
joinSets | UNION() operation for UF data structure.
length | The number of items/characters.
reserve | Increases the capacity.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
resizeVertexMap | Initializes a vertex map.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57